XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

record.h
1 /*
2 * This file generated automatically from record.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __RECORD_H
13 #define __RECORD_H
14
15 #include "xcb.h"
16
17 #ifdef __cplusplus
18 extern "C" {
19 #endif
20
21 #define XCB_RECORD_MAJOR_VERSION 1
22 #define XCB_RECORD_MINOR_VERSION 13
23
24 extern xcb_extension_t xcb_record_id;
25
26 typedef uint32_t xcb_record_context_t;
27
31 typedef struct xcb_record_context_iterator_t {
32 xcb_record_context_t *data;
33 int rem;
34 int index;
35 } xcb_record_context_iterator_t;
36
40 typedef struct xcb_record_range_8_t {
41 uint8_t first;
42 uint8_t last;
43 } xcb_record_range_8_t;
44
48 typedef struct xcb_record_range_8_iterator_t {
49 xcb_record_range_8_t *data;
50 int rem;
51 int index;
52 } xcb_record_range_8_iterator_t;
53
57 typedef struct xcb_record_range_16_t {
58 uint16_t first;
59 uint16_t last;
60 } xcb_record_range_16_t;
61
65 typedef struct xcb_record_range_16_iterator_t {
66 xcb_record_range_16_t *data;
67 int rem;
68 int index;
69 } xcb_record_range_16_iterator_t;
70
74 typedef struct xcb_record_ext_range_t {
75 xcb_record_range_8_t major;
76 xcb_record_range_16_t minor;
77 } xcb_record_ext_range_t;
78
82 typedef struct xcb_record_ext_range_iterator_t {
83 xcb_record_ext_range_t *data;
84 int rem;
85 int index;
86 } xcb_record_ext_range_iterator_t;
87
91 typedef struct xcb_record_range_t {
92 xcb_record_range_8_t core_requests;
93 xcb_record_range_8_t core_replies;
94 xcb_record_ext_range_t ext_requests;
95 xcb_record_ext_range_t ext_replies;
96 xcb_record_range_8_t delivered_events;
97 xcb_record_range_8_t device_events;
98 xcb_record_range_8_t errors;
99 uint8_t client_started;
100 uint8_t client_died;
101 } xcb_record_range_t;
102
106 typedef struct xcb_record_range_iterator_t {
107 xcb_record_range_t *data;
108 int rem;
109 int index;
110 } xcb_record_range_iterator_t;
111
112 typedef uint8_t xcb_record_element_header_t;
113
117 typedef struct xcb_record_element_header_iterator_t {
118 xcb_record_element_header_t *data;
119 int rem;
120 int index;
121 } xcb_record_element_header_iterator_t;
122
123 typedef enum xcb_record_h_type_t {
124 XCB_RECORD_H_TYPE_FROM_SERVER_TIME = 1,
125 XCB_RECORD_H_TYPE_FROM_CLIENT_TIME = 2,
126 XCB_RECORD_H_TYPE_FROM_CLIENT_SEQUENCE = 4
127 } xcb_record_h_type_t;
128
129 typedef uint32_t xcb_record_client_spec_t;
130
134 typedef struct xcb_record_client_spec_iterator_t {
135 xcb_record_client_spec_t *data;
136 int rem;
137 int index;
138 } xcb_record_client_spec_iterator_t;
139
140 typedef enum xcb_record_cs_t {
141 XCB_RECORD_CS_CURRENT_CLIENTS = 1,
142 XCB_RECORD_CS_FUTURE_CLIENTS = 2,
143 XCB_RECORD_CS_ALL_CLIENTS = 3
144 } xcb_record_cs_t;
145
149 typedef struct xcb_record_client_info_t {
150 xcb_record_client_spec_t client_resource;
151 uint32_t num_ranges;
152 } xcb_record_client_info_t;
153
157 typedef struct xcb_record_client_info_iterator_t {
158 xcb_record_client_info_t *data;
159 int rem;
160 int index;
161 } xcb_record_client_info_iterator_t;
162
164 #define XCB_RECORD_BAD_CONTEXT 0
165
169 typedef struct xcb_record_bad_context_error_t {
170 uint8_t response_type;
171 uint8_t error_code;
172 uint16_t sequence;
173 uint32_t invalid_record;
174 } xcb_record_bad_context_error_t;
175
179 typedef struct xcb_record_query_version_cookie_t {
180 unsigned int sequence;
181 } xcb_record_query_version_cookie_t;
182
184 #define XCB_RECORD_QUERY_VERSION 0
185
189 typedef struct xcb_record_query_version_request_t {
190 uint8_t major_opcode;
191 uint8_t minor_opcode;
192 uint16_t length;
193 uint16_t major_version;
194 uint16_t minor_version;
195 } xcb_record_query_version_request_t;
196
200 typedef struct xcb_record_query_version_reply_t {
201 uint8_t response_type;
202 uint8_t pad0;
203 uint16_t sequence;
204 uint32_t length;
205 uint16_t major_version;
206 uint16_t minor_version;
207 } xcb_record_query_version_reply_t;
208
210 #define XCB_RECORD_CREATE_CONTEXT 1
211
215 typedef struct xcb_record_create_context_request_t {
216 uint8_t major_opcode;
217 uint8_t minor_opcode;
218 uint16_t length;
219 xcb_record_context_t context;
220 xcb_record_element_header_t element_header;
221 uint8_t pad0[3];
222 uint32_t num_client_specs;
223 uint32_t num_ranges;
224 } xcb_record_create_context_request_t;
225
227 #define XCB_RECORD_REGISTER_CLIENTS 2
228
232 typedef struct xcb_record_register_clients_request_t {
233 uint8_t major_opcode;
234 uint8_t minor_opcode;
235 uint16_t length;
236 xcb_record_context_t context;
237 xcb_record_element_header_t element_header;
238 uint8_t pad0[3];
239 uint32_t num_client_specs;
240 uint32_t num_ranges;
241 } xcb_record_register_clients_request_t;
242
244 #define XCB_RECORD_UNREGISTER_CLIENTS 3
245
249 typedef struct xcb_record_unregister_clients_request_t {
250 uint8_t major_opcode;
251 uint8_t minor_opcode;
252 uint16_t length;
253 xcb_record_context_t context;
254 uint32_t num_client_specs;
255 } xcb_record_unregister_clients_request_t;
256
260 typedef struct xcb_record_get_context_cookie_t {
261 unsigned int sequence;
262 } xcb_record_get_context_cookie_t;
263
265 #define XCB_RECORD_GET_CONTEXT 4
266
270 typedef struct xcb_record_get_context_request_t {
271 uint8_t major_opcode;
272 uint8_t minor_opcode;
273 uint16_t length;
274 xcb_record_context_t context;
275 } xcb_record_get_context_request_t;
276
280 typedef struct xcb_record_get_context_reply_t {
281 uint8_t response_type;
282 uint8_t enabled;
283 uint16_t sequence;
284 uint32_t length;
285 xcb_record_element_header_t element_header;
286 uint8_t pad0[3];
287 uint32_t num_intercepted_clients;
288 uint8_t pad1[16];
289 } xcb_record_get_context_reply_t;
290
294 typedef struct xcb_record_enable_context_cookie_t {
295 unsigned int sequence;
296 } xcb_record_enable_context_cookie_t;
297
299 #define XCB_RECORD_ENABLE_CONTEXT 5
300
304 typedef struct xcb_record_enable_context_request_t {
305 uint8_t major_opcode;
306 uint8_t minor_opcode;
307 uint16_t length;
308 xcb_record_context_t context;
309 } xcb_record_enable_context_request_t;
310
314 typedef struct xcb_record_enable_context_reply_t {
315 uint8_t response_type;
316 uint8_t category;
317 uint16_t sequence;
318 uint32_t length;
319 xcb_record_element_header_t element_header;
320 uint8_t client_swapped;
321 uint8_t pad0[2];
322 uint32_t xid_base;
323 uint32_t server_time;
324 uint32_t rec_sequence_num;
325 uint8_t pad1[8];
326 } xcb_record_enable_context_reply_t;
327
329 #define XCB_RECORD_DISABLE_CONTEXT 6
330
334 typedef struct xcb_record_disable_context_request_t {
335 uint8_t major_opcode;
336 uint8_t minor_opcode;
337 uint16_t length;
338 xcb_record_context_t context;
339 } xcb_record_disable_context_request_t;
340
342 #define XCB_RECORD_FREE_CONTEXT 7
343
347 typedef struct xcb_record_free_context_request_t {
348 uint8_t major_opcode;
349 uint8_t minor_opcode;
350 uint16_t length;
351 xcb_record_context_t context;
352 } xcb_record_free_context_request_t;
353
363 /*****************************************************************************
364 **
365 ** void xcb_record_context_next
366 **
367 ** @param xcb_record_context_iterator_t *i
368 ** @returns void
369 **
370 *****************************************************************************/
371
372 void
373 xcb_record_context_next (xcb_record_context_iterator_t *i );
374
385 /*****************************************************************************
386 **
387 ** xcb_generic_iterator_t xcb_record_context_end
388 **
389 ** @param xcb_record_context_iterator_t i
390 ** @returns xcb_generic_iterator_t
391 **
392 *****************************************************************************/
393
394 xcb_generic_iterator_t
395 xcb_record_context_end (xcb_record_context_iterator_t i );
396
406 /*****************************************************************************
407 **
408 ** void xcb_record_range_8_next
409 **
410 ** @param xcb_record_range_8_iterator_t *i
411 ** @returns void
412 **
413 *****************************************************************************/
414
415 void
416 xcb_record_range_8_next (xcb_record_range_8_iterator_t *i );
417
428 /*****************************************************************************
429 **
430 ** xcb_generic_iterator_t xcb_record_range_8_end
431 **
432 ** @param xcb_record_range_8_iterator_t i
433 ** @returns xcb_generic_iterator_t
434 **
435 *****************************************************************************/
436
437 xcb_generic_iterator_t
438 xcb_record_range_8_end (xcb_record_range_8_iterator_t i );
439
449 /*****************************************************************************
450 **
451 ** void xcb_record_range_16_next
452 **
453 ** @param xcb_record_range_16_iterator_t *i
454 ** @returns void
455 **
456 *****************************************************************************/
457
458 void
459 xcb_record_range_16_next (xcb_record_range_16_iterator_t *i );
460
471 /*****************************************************************************
472 **
473 ** xcb_generic_iterator_t xcb_record_range_16_end
474 **
475 ** @param xcb_record_range_16_iterator_t i
476 ** @returns xcb_generic_iterator_t
477 **
478 *****************************************************************************/
479
480 xcb_generic_iterator_t
481 xcb_record_range_16_end (xcb_record_range_16_iterator_t i );
482
492 /*****************************************************************************
493 **
494 ** void xcb_record_ext_range_next
495 **
496 ** @param xcb_record_ext_range_iterator_t *i
497 ** @returns void
498 **
499 *****************************************************************************/
500
501 void
502 xcb_record_ext_range_next (xcb_record_ext_range_iterator_t *i );
503
514 /*****************************************************************************
515 **
516 ** xcb_generic_iterator_t xcb_record_ext_range_end
517 **
518 ** @param xcb_record_ext_range_iterator_t i
519 ** @returns xcb_generic_iterator_t
520 **
521 *****************************************************************************/
522
523 xcb_generic_iterator_t
524 xcb_record_ext_range_end (xcb_record_ext_range_iterator_t i );
525
535 /*****************************************************************************
536 **
537 ** void xcb_record_range_next
538 **
539 ** @param xcb_record_range_iterator_t *i
540 ** @returns void
541 **
542 *****************************************************************************/
543
544 void
545 xcb_record_range_next (xcb_record_range_iterator_t *i );
546
557 /*****************************************************************************
558 **
559 ** xcb_generic_iterator_t xcb_record_range_end
560 **
561 ** @param xcb_record_range_iterator_t i
562 ** @returns xcb_generic_iterator_t
563 **
564 *****************************************************************************/
565
566 xcb_generic_iterator_t
567 xcb_record_range_end (xcb_record_range_iterator_t i );
568
578 /*****************************************************************************
579 **
580 ** void xcb_record_element_header_next
581 **
582 ** @param xcb_record_element_header_iterator_t *i
583 ** @returns void
584 **
585 *****************************************************************************/
586
587 void
588 xcb_record_element_header_next (xcb_record_element_header_iterator_t *i );
589
600 /*****************************************************************************
601 **
602 ** xcb_generic_iterator_t xcb_record_element_header_end
603 **
604 ** @param xcb_record_element_header_iterator_t i
605 ** @returns xcb_generic_iterator_t
606 **
607 *****************************************************************************/
608
609 xcb_generic_iterator_t
610 xcb_record_element_header_end (xcb_record_element_header_iterator_t i );
611
621 /*****************************************************************************
622 **
623 ** void xcb_record_client_spec_next
624 **
625 ** @param xcb_record_client_spec_iterator_t *i
626 ** @returns void
627 **
628 *****************************************************************************/
629
630 void
631 xcb_record_client_spec_next (xcb_record_client_spec_iterator_t *i );
632
643 /*****************************************************************************
644 **
645 ** xcb_generic_iterator_t xcb_record_client_spec_end
646 **
647 ** @param xcb_record_client_spec_iterator_t i
648 ** @returns xcb_generic_iterator_t
649 **
650 *****************************************************************************/
651
652 xcb_generic_iterator_t
653 xcb_record_client_spec_end (xcb_record_client_spec_iterator_t i );
654
655 int
656 xcb_record_client_info_sizeof (const void *_buffer );
657
658
659 /*****************************************************************************
660 **
661 ** xcb_record_range_t * xcb_record_client_info_ranges
662 **
663 ** @param const xcb_record_client_info_t *R
664 ** @returns xcb_record_range_t *
665 **
666 *****************************************************************************/
667
668 xcb_record_range_t *
669 xcb_record_client_info_ranges (const xcb_record_client_info_t *R );
670
671
672 /*****************************************************************************
673 **
674 ** int xcb_record_client_info_ranges_length
675 **
676 ** @param const xcb_record_client_info_t *R
677 ** @returns int
678 **
679 *****************************************************************************/
680
681 int
682 xcb_record_client_info_ranges_length (const xcb_record_client_info_t *R );
683
684
685 /*****************************************************************************
686 **
687 ** xcb_record_range_iterator_t xcb_record_client_info_ranges_iterator
688 **
689 ** @param const xcb_record_client_info_t *R
690 ** @returns xcb_record_range_iterator_t
691 **
692 *****************************************************************************/
693
694 xcb_record_range_iterator_t
695 xcb_record_client_info_ranges_iterator (const xcb_record_client_info_t *R );
696
706 /*****************************************************************************
707 **
708 ** void xcb_record_client_info_next
709 **
710 ** @param xcb_record_client_info_iterator_t *i
711 ** @returns void
712 **
713 *****************************************************************************/
714
715 void
716 xcb_record_client_info_next (xcb_record_client_info_iterator_t *i );
717
728 /*****************************************************************************
729 **
730 ** xcb_generic_iterator_t xcb_record_client_info_end
731 **
732 ** @param xcb_record_client_info_iterator_t i
733 ** @returns xcb_generic_iterator_t
734 **
735 *****************************************************************************/
736
737 xcb_generic_iterator_t
738 xcb_record_client_info_end (xcb_record_client_info_iterator_t i );
739
749 /*****************************************************************************
750 **
751 ** xcb_record_query_version_cookie_t xcb_record_query_version
752 **
753 ** @param xcb_connection_t *c
754 ** @param uint16_t major_version
755 ** @param uint16_t minor_version
756 ** @returns xcb_record_query_version_cookie_t
757 **
758 *****************************************************************************/
759
760 xcb_record_query_version_cookie_t
761 xcb_record_query_version (xcb_connection_t *c ,
762 uint16_t major_version ,
763 uint16_t minor_version );
764
777 /*****************************************************************************
778 **
779 ** xcb_record_query_version_cookie_t xcb_record_query_version_unchecked
780 **
781 ** @param xcb_connection_t *c
782 ** @param uint16_t major_version
783 ** @param uint16_t minor_version
784 ** @returns xcb_record_query_version_cookie_t
785 **
786 *****************************************************************************/
787
788 xcb_record_query_version_cookie_t
789 xcb_record_query_version_unchecked (xcb_connection_t *c ,
790 uint16_t major_version ,
791 uint16_t minor_version );
792
808 /*****************************************************************************
809 **
810 ** xcb_record_query_version_reply_t * xcb_record_query_version_reply
811 **
812 ** @param xcb_connection_t *c
813 ** @param xcb_record_query_version_cookie_t cookie
814 ** @param xcb_generic_error_t **e
815 ** @returns xcb_record_query_version_reply_t *
816 **
817 *****************************************************************************/
818
819 xcb_record_query_version_reply_t *
820 xcb_record_query_version_reply (xcb_connection_t *c ,
821 xcb_record_query_version_cookie_t cookie ,
822 xcb_generic_error_t **e );
823
824 int
825 xcb_record_create_context_sizeof (const void *_buffer );
826
839 /*****************************************************************************
840 **
841 ** xcb_void_cookie_t xcb_record_create_context_checked
842 **
843 ** @param xcb_connection_t *c
844 ** @param xcb_record_context_t context
845 ** @param xcb_record_element_header_t element_header
846 ** @param uint32_t num_client_specs
847 ** @param uint32_t num_ranges
848 ** @param const xcb_record_client_spec_t *client_specs
849 ** @param const xcb_record_range_t *ranges
850 ** @returns xcb_void_cookie_t
851 **
852 *****************************************************************************/
853
854 xcb_void_cookie_t
855 xcb_record_create_context_checked (xcb_connection_t *c ,
856 xcb_record_context_t context ,
857 xcb_record_element_header_t element_header ,
858 uint32_t num_client_specs ,
859 uint32_t num_ranges ,
860 const xcb_record_client_spec_t *client_specs ,
861 const xcb_record_range_t *ranges );
862
872 /*****************************************************************************
873 **
874 ** xcb_void_cookie_t xcb_record_create_context
875 **
876 ** @param xcb_connection_t *c
877 ** @param xcb_record_context_t context
878 ** @param xcb_record_element_header_t element_header
879 ** @param uint32_t num_client_specs
880 ** @param uint32_t num_ranges
881 ** @param const xcb_record_client_spec_t *client_specs
882 ** @param const xcb_record_range_t *ranges
883 ** @returns xcb_void_cookie_t
884 **
885 *****************************************************************************/
886
887 xcb_void_cookie_t
888 xcb_record_create_context (xcb_connection_t *c ,
889 xcb_record_context_t context ,
890 xcb_record_element_header_t element_header ,
891 uint32_t num_client_specs ,
892 uint32_t num_ranges ,
893 const xcb_record_client_spec_t *client_specs ,
894 const xcb_record_range_t *ranges );
895
896 int
897 xcb_record_register_clients_sizeof (const void *_buffer );
898
911 /*****************************************************************************
912 **
913 ** xcb_void_cookie_t xcb_record_register_clients_checked
914 **
915 ** @param xcb_connection_t *c
916 ** @param xcb_record_context_t context
917 ** @param xcb_record_element_header_t element_header
918 ** @param uint32_t num_client_specs
919 ** @param uint32_t num_ranges
920 ** @param const xcb_record_client_spec_t *client_specs
921 ** @param const xcb_record_range_t *ranges
922 ** @returns xcb_void_cookie_t
923 **
924 *****************************************************************************/
925
926 xcb_void_cookie_t
927 xcb_record_register_clients_checked (xcb_connection_t *c ,
928 xcb_record_context_t context ,
929 xcb_record_element_header_t element_header ,
930 uint32_t num_client_specs ,
931 uint32_t num_ranges ,
932 const xcb_record_client_spec_t *client_specs ,
933 const xcb_record_range_t *ranges );
934
944 /*****************************************************************************
945 **
946 ** xcb_void_cookie_t xcb_record_register_clients
947 **
948 ** @param xcb_connection_t *c
949 ** @param xcb_record_context_t context
950 ** @param xcb_record_element_header_t element_header
951 ** @param uint32_t num_client_specs
952 ** @param uint32_t num_ranges
953 ** @param const xcb_record_client_spec_t *client_specs
954 ** @param const xcb_record_range_t *ranges
955 ** @returns xcb_void_cookie_t
956 **
957 *****************************************************************************/
958
959 xcb_void_cookie_t
960 xcb_record_register_clients (xcb_connection_t *c ,
961 xcb_record_context_t context ,
962 xcb_record_element_header_t element_header ,
963 uint32_t num_client_specs ,
964 uint32_t num_ranges ,
965 const xcb_record_client_spec_t *client_specs ,
966 const xcb_record_range_t *ranges );
967
968 int
969 xcb_record_unregister_clients_sizeof (const void *_buffer );
970
983 /*****************************************************************************
984 **
985 ** xcb_void_cookie_t xcb_record_unregister_clients_checked
986 **
987 ** @param xcb_connection_t *c
988 ** @param xcb_record_context_t context
989 ** @param uint32_t num_client_specs
990 ** @param const xcb_record_client_spec_t *client_specs
991 ** @returns xcb_void_cookie_t
992 **
993 *****************************************************************************/
994
995 xcb_void_cookie_t
996 xcb_record_unregister_clients_checked (xcb_connection_t *c ,
997 xcb_record_context_t context ,
998 uint32_t num_client_specs ,
999 const xcb_record_client_spec_t *client_specs );
1000
1010 /*****************************************************************************
1011 **
1012 ** xcb_void_cookie_t xcb_record_unregister_clients
1013 **
1014 ** @param xcb_connection_t *c
1015 ** @param xcb_record_context_t context
1016 ** @param uint32_t num_client_specs
1017 ** @param const xcb_record_client_spec_t *client_specs
1018 ** @returns xcb_void_cookie_t
1019 **
1020 *****************************************************************************/
1021
1022 xcb_void_cookie_t
1023 xcb_record_unregister_clients (xcb_connection_t *c ,
1024 xcb_record_context_t context ,
1025 uint32_t num_client_specs ,
1026 const xcb_record_client_spec_t *client_specs );
1027
1028 int
1029 xcb_record_get_context_sizeof (const void *_buffer );
1030
1040 /*****************************************************************************
1041 **
1042 ** xcb_record_get_context_cookie_t xcb_record_get_context
1043 **
1044 ** @param xcb_connection_t *c
1045 ** @param xcb_record_context_t context
1046 ** @returns xcb_record_get_context_cookie_t
1047 **
1048 *****************************************************************************/
1049
1050 xcb_record_get_context_cookie_t
1051 xcb_record_get_context (xcb_connection_t *c ,
1052 xcb_record_context_t context );
1053
1066 /*****************************************************************************
1067 **
1068 ** xcb_record_get_context_cookie_t xcb_record_get_context_unchecked
1069 **
1070 ** @param xcb_connection_t *c
1071 ** @param xcb_record_context_t context
1072 ** @returns xcb_record_get_context_cookie_t
1073 **
1074 *****************************************************************************/
1075
1076 xcb_record_get_context_cookie_t
1077 xcb_record_get_context_unchecked (xcb_connection_t *c ,
1078 xcb_record_context_t context );
1079
1080
1081 /*****************************************************************************
1082 **
1083 ** int xcb_record_get_context_intercepted_clients_length
1084 **
1085 ** @param const xcb_record_get_context_reply_t *R
1086 ** @returns int
1087 **
1088 *****************************************************************************/
1089
1090 int
1091 xcb_record_get_context_intercepted_clients_length (const xcb_record_get_context_reply_t *R );
1092
1093
1094 /*****************************************************************************
1095 **
1096 ** xcb_record_client_info_iterator_t xcb_record_get_context_intercepted_clients_iterator
1097 **
1098 ** @param const xcb_record_get_context_reply_t *R
1099 ** @returns xcb_record_client_info_iterator_t
1100 **
1101 *****************************************************************************/
1102
1103 xcb_record_client_info_iterator_t
1104 xcb_record_get_context_intercepted_clients_iterator (const xcb_record_get_context_reply_t *R );
1105
1121 /*****************************************************************************
1122 **
1123 ** xcb_record_get_context_reply_t * xcb_record_get_context_reply
1124 **
1125 ** @param xcb_connection_t *c
1126 ** @param xcb_record_get_context_cookie_t cookie
1127 ** @param xcb_generic_error_t **e
1128 ** @returns xcb_record_get_context_reply_t *
1129 **
1130 *****************************************************************************/
1131
1132 xcb_record_get_context_reply_t *
1133 xcb_record_get_context_reply (xcb_connection_t *c ,
1134 xcb_record_get_context_cookie_t cookie ,
1135 xcb_generic_error_t **e );
1136
1137 int
1138 xcb_record_enable_context_sizeof (const void *_buffer );
1139
1149 /*****************************************************************************
1150 **
1151 ** xcb_record_enable_context_cookie_t xcb_record_enable_context
1152 **
1153 ** @param xcb_connection_t *c
1154 ** @param xcb_record_context_t context
1155 ** @returns xcb_record_enable_context_cookie_t
1156 **
1157 *****************************************************************************/
1158
1159 xcb_record_enable_context_cookie_t
1160 xcb_record_enable_context (xcb_connection_t *c ,
1161 xcb_record_context_t context );
1162
1175 /*****************************************************************************
1176 **
1177 ** xcb_record_enable_context_cookie_t xcb_record_enable_context_unchecked
1178 **
1179 ** @param xcb_connection_t *c
1180 ** @param xcb_record_context_t context
1181 ** @returns xcb_record_enable_context_cookie_t
1182 **
1183 *****************************************************************************/
1184
1185 xcb_record_enable_context_cookie_t
1186 xcb_record_enable_context_unchecked (xcb_connection_t *c ,
1187 xcb_record_context_t context );
1188
1189
1190 /*****************************************************************************
1191 **
1192 ** uint8_t * xcb_record_enable_context_data
1193 **
1194 ** @param const xcb_record_enable_context_reply_t *R
1195 ** @returns uint8_t *
1196 **
1197 *****************************************************************************/
1198
1199 uint8_t *
1200 xcb_record_enable_context_data (const xcb_record_enable_context_reply_t *R );
1201
1202
1203 /*****************************************************************************
1204 **
1205 ** int xcb_record_enable_context_data_length
1206 **
1207 ** @param const xcb_record_enable_context_reply_t *R
1208 ** @returns int
1209 **
1210 *****************************************************************************/
1211
1212 int
1213 xcb_record_enable_context_data_length (const xcb_record_enable_context_reply_t *R );
1214
1215
1216 /*****************************************************************************
1217 **
1218 ** xcb_generic_iterator_t xcb_record_enable_context_data_end
1219 **
1220 ** @param const xcb_record_enable_context_reply_t *R
1221 ** @returns xcb_generic_iterator_t
1222 **
1223 *****************************************************************************/
1224
1225 xcb_generic_iterator_t
1226 xcb_record_enable_context_data_end (const xcb_record_enable_context_reply_t *R );
1227
1243 /*****************************************************************************
1244 **
1245 ** xcb_record_enable_context_reply_t * xcb_record_enable_context_reply
1246 **
1247 ** @param xcb_connection_t *c
1248 ** @param xcb_record_enable_context_cookie_t cookie
1249 ** @param xcb_generic_error_t **e
1250 ** @returns xcb_record_enable_context_reply_t *
1251 **
1252 *****************************************************************************/
1253
1254 xcb_record_enable_context_reply_t *
1255 xcb_record_enable_context_reply (xcb_connection_t *c ,
1256 xcb_record_enable_context_cookie_t cookie ,
1257 xcb_generic_error_t **e );
1258
1271 /*****************************************************************************
1272 **
1273 ** xcb_void_cookie_t xcb_record_disable_context_checked
1274 **
1275 ** @param xcb_connection_t *c
1276 ** @param xcb_record_context_t context
1277 ** @returns xcb_void_cookie_t
1278 **
1279 *****************************************************************************/
1280
1281 xcb_void_cookie_t
1282 xcb_record_disable_context_checked (xcb_connection_t *c ,
1283 xcb_record_context_t context );
1284
1294 /*****************************************************************************
1295 **
1296 ** xcb_void_cookie_t xcb_record_disable_context
1297 **
1298 ** @param xcb_connection_t *c
1299 ** @param xcb_record_context_t context
1300 ** @returns xcb_void_cookie_t
1301 **
1302 *****************************************************************************/
1303
1304 xcb_void_cookie_t
1305 xcb_record_disable_context (xcb_connection_t *c ,
1306 xcb_record_context_t context );
1307
1320 /*****************************************************************************
1321 **
1322 ** xcb_void_cookie_t xcb_record_free_context_checked
1323 **
1324 ** @param xcb_connection_t *c
1325 ** @param xcb_record_context_t context
1326 ** @returns xcb_void_cookie_t
1327 **
1328 *****************************************************************************/
1329
1330 xcb_void_cookie_t
1331 xcb_record_free_context_checked (xcb_connection_t *c ,
1332 xcb_record_context_t context );
1333
1343 /*****************************************************************************
1344 **
1345 ** xcb_void_cookie_t xcb_record_free_context
1346 **
1347 ** @param xcb_connection_t *c
1348 ** @param xcb_record_context_t context
1349 ** @returns xcb_void_cookie_t
1350 **
1351 *****************************************************************************/
1352
1353 xcb_void_cookie_t
1354 xcb_record_free_context (xcb_connection_t *c ,
1355 xcb_record_context_t context );
1356
1357
1358 #ifdef __cplusplus
1359 }
1360 #endif
1361
1362 #endif
1363